RowRepairResolver (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.service
Class RowRepairResolver

    java.lang.Object
      org.apache.cassandra.service.AbstractRowResolver
          org.apache.cassandra.service.RowRepairResolver

All Implemented Interfaces:
  IResponseResolver<Row>

    public class RowRepairResolver

extends AbstractRowResolver

Field Summary
`protected int` | `maxLiveColumns`
`java.util.List<IAsyncResult>` | `repairResults`

Fields inherited from class org.apache.cassandra.service.AbstractRowResolver
`key, logger, replies, table`

Constructor Summary
`RowRepairResolver(java.lang.String table, java.nio.ByteBuffer key)`

Method Summary
`Row` | `getData()` returns the data response without comparing with any digests
`int` | `getMaxLiveColumns()`
`boolean` | `isDataPresent()`
`Row` | `resolve()` This Method resolves the responses that are passed in .
`static java.util.List<IAsyncResult>` | `scheduleRepairs(ColumnFamily resolved, java.lang.String table, DecoratedKey<?> key, java.util.List<ColumnFamily> versions, java.util.List<java.net.InetAddress> endpoints)` For each row version, compare with resolved (the superset of all row versions); if it is missing anything, send a mutation to the endpoint it come from.

Methods inherited from class org.apache.cassandra.service.AbstractRowResolver
`getMessages, injectPreProcessed, preprocess`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### maxLiveColumns

    protected int maxLiveColumns

### repairResults

    public java.util.List<IAsyncResult> repairResults

Constructor Detail

### RowRepairResolver

    public RowRepairResolver(java.lang.String table,
                             java.nio.ByteBuffer key)

Method Detail

### resolve

    public Row resolve()
                throws DigestMismatchException,
                       java.io.IOException

  Description copied from interface: `IResponseResolver`
  This Method resolves the responses that are passed in . for example : if its write response then all we get is true or false return values which implies if the writes were successful but for reads its more complicated you need to look at the responses and then based on differences schedule repairs . Hence you need to derive a response resolver based on your needs from this interface.

  Throws:
    `DigestMismatchException`
    `java.io.IOException`

### scheduleRepairs

    public static java.util.List<IAsyncResult> scheduleRepairs(ColumnFamily resolved,
                                                               java.lang.String table,
                                                               DecoratedKey<?> key,
                                                               java.util.List<ColumnFamily> versions,
                                                               java.util.List<java.net.InetAddress> endpoints)

  For each row version, compare with resolved (the superset of all row versions); if it is missing anything, send a mutation to the endpoint it come from.

### getData

    public Row getData()
                throws java.io.IOException

  Description copied from interface: `IResponseResolver`
  returns the data response without comparing with any digests

  Throws:
    `java.io.IOException`

### isDataPresent

    public boolean isDataPresent()

### getMaxLiveColumns

    public int getMaxLiveColumns()

  Specified by:
    `getMaxLiveColumns` in interface `IResponseResolver<Row>`
  Overrides:
    `getMaxLiveColumns` in class `AbstractRowResolver`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation